Bug 1247659 - (TEIID-3597) OData PUT call returns "NotFoundException"
OData PUT call returns "NotFoundException"
Status: CLOSED NOTABUG
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.2.0
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: jolee
Filip Elias
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-28 10:28 EDT by dsteigne
Modified: 2015-10-11 10:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 11:20:23 EDT
Type: Support Patch
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-3597 Major Closed OData PUT call returns "NotFoundException" 2016-07-28 03:21 EDT
Red Hat Knowledge Base (Solution) 1546373 None None None Never

  None (edit)
Description dsteigne 2015-07-28 10:28:02 EDT
Describe the issue: 
See https://issues.jboss.org/browse/TEIID-3597



Unable to PUT via Odata , I am able to GET and POST and JDBC Select, Insert and update on the same table so the transformations are correct:

$ curl -H 'Content-Type: application/json' \
-X PUT http://127.0.0.1:8080/odata/CompleteSubVDB/V1.patch_SUBMISSION \
-d '
{"SUBMISSION_ID": "15232", "AUTHOR_REV_ID":"3"}

' -u teiidUser:datavirt_61
<?xml version='1.0' encoding='utf-8'?><error xmlns="http://schemas.microsoft.com/ado/2007/08/dataservices/metadata"><code>NotFoundException</code><message lang="en-US">V1.patch_SUBMISSION</message></error>

Full stacktrace from server.log:
08:04:27,441 DEBUG [org.jboss.resteasy.core.SynchronousDispatcher] (http-/127.0.0.1:8080-1) PathInfo: /V1.patch_SUBMISSION
08:04:27,443 WARN [org.teiid.ODATA] (http-/127.0.0.1:8080-1) TEIID16012 Could not produce a successful OData response. Returning status NotFoundException with message V1.patch_SUBMISSION.: org.odata4j.exceptions.NotFoundException: V1.patch_SUBMISSION
at org.odata4j.producer.resources.EntitiesRequestResource.functionCallPut(EntitiesRequestResource.java:192) [odata4j-core-0.8.0.redhat-2.jar:]
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) [rt.jar:1.7.0_51]
at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57) [rt.jar:1.7.0_51]
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_51]
at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_51]
at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:167) [resteasy-jaxrs-2.3.8.SP4-redhat-2.jar:]
at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:269) [resteasy-jaxrs-2.3.8.SP4-redhat-2.jar:]
at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:227) [resteasy-jaxrs-2.3.8.SP4-redhat-2.jar:]
at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:216) [resteasy-jaxrs-2.3.8.SP4-redhat-2.jar:]
at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:542) [resteasy-jaxrs-2.3.8.SP4-redhat-2.jar:]
at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:524) [resteasy-jaxrs-2.3.8.SP4-redhat-2.jar:]
at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:126) [resteasy-jaxrs-2.3.8.SP4-redhat-2.jar:]
at org.teiid.odata.ODataServletContainerDispatcher.service(ODataServletContainerDispatcher.java:118) [classes:]
at org.teiid.odata.ODataServlet.service(ODataServlet.java:65) [classes:]
at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:50) [resteasy-jaxrs-2.3.8.SP4-redhat-2.jar:]
at javax.servlet.http.HttpServlet.service(HttpServlet.java:847) [jboss-servlet-api_3.0_spec-1.0.2.Final-redhat-1.jar:1.0.2.Final-redhat-1]
at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:295) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:214) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:231) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:149) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:512) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.jboss.as.web.security.SecurityContextAssociationValve.invoke(SecurityContextAssociationValve.java:169) [jboss-as-web-7.4.3.Final-redhat-2.jar:7.4.3.Final-redhat-2]
at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:145) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:97) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:102) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:344) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:856) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:653) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:926) [jbossweb-7.4.10.Final-redhat-1.jar:7.4.10.Final-redhat-1]
at java.lang.Thread.run(Thread.java:744) [rt.jar:1.7.0_51]


Suggestions for improvement: 

Additional information:
Comment 2 jolee 2015-07-28 10:33:56 EDT
6.1 Update 04 will need a separate BZ to track
Comment 3 JBoss JIRA Server 2015-07-28 19:32:16 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3597 to Resolved
Comment 4 JBoss JIRA Server 2015-07-29 09:57:03 EDT
Debbie Steigner <dsteigne@redhat.com> updated the status of jira TEIID-3597 to Reopened
Comment 5 JBoss JIRA Server 2015-07-29 10:28:46 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3597 to Resolved
Comment 6 JBoss JIRA Server 2015-07-29 10:29:10 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3597 to Reopened
Comment 7 JBoss JIRA Server 2015-07-29 10:29:22 EDT
Ramesh Reddy <rareddy@jboss.org> updated the status of jira TEIID-3597 to Resolved
Comment 8 Van Halbert 2015-07-29 11:20:23 EDT
User issue with submitting Odata calls and curl.
Comment 9 JBoss JIRA Server 2015-10-11 10:18:29 EDT
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-3597 to Closed

Note You need to log in before you can comment on or make changes to this bug.